package com.ruoyi.project.apply.service.impl;

import com.ruoyi.project.apply.domain.TApplySafetychange;
import com.ruoyi.project.apply.mapper.TApplySafetychangeMapper;
import com.ruoyi.project.apply.service.ITApplySafetychangeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 组织保护措施状态变更申请Service业务层处理
 *
 * @author ruoyi
 * @date 2023-02-09
 */
@Service("tApplySafetychangeService")
public class TApplySafetychangeServiceImpl implements ITApplySafetychangeService
{
    @Autowired
    private TApplySafetychangeMapper tApplySafetychangeMapper;

    /**
     * 查询组织保护措施状态变更申请
     *
     * @param id 组织保护措施状态变更申请ID
     * @return 组织保护措施状态变更申请
     */
    @Override
    public TApplySafetychange selectTApplySafetychangeById(Long id)
    {
        return tApplySafetychangeMapper.selectTApplySafetychangeById(id);
    }
    @Override
    public TApplySafetychange selectTApplySafetychangeByLock(String lockNo)
    {
        return tApplySafetychangeMapper.selectTApplySafetychangeByLock(lockNo);
    }

    /**
     * 查询组织保护措施状态变更申请列表
     *
     * @param tApplySafetychange 组织保护措施状态变更申请
     * @return 组织保护措施状态变更申请
     */
    @Override
    public List<TApplySafetychange> selectTApplySafetychangeList(TApplySafetychange tApplySafetychange)
    {
        return tApplySafetychangeMapper.selectTApplySafetychangeList(tApplySafetychange);
    }

    @Override
    public List<TApplySafetychange> selectChangeDescribe(TApplySafetychange tApplySafetychange)
    {
        return tApplySafetychangeMapper.selectChangeDescribe(tApplySafetychange);
    }

    @Override
    public List<TApplySafetychange> selectChangeReason(TApplySafetychange tApplySafetychange)
    {
        return tApplySafetychangeMapper.selectChangeReason(tApplySafetychange);
    }

    @Override
    public List<TApplySafetychange> selectSAFA(TApplySafetychange tApplySafetychange)
    {
        return tApplySafetychangeMapper.selectSAFA(tApplySafetychange);
    }

    /**
     * 新增组织保护措施状态变更申请
     *
     * @param tApplySafetychange 组织保护措施状态变更申请
     * @return 结果
     */
    @Override
    public int insertTApplySafetychange(TApplySafetychange tApplySafetychange)
    {
        return tApplySafetychangeMapper.insertTApplySafetychange(tApplySafetychange);
    }

    /**
     * 修改组织保护措施状态变更申请
     *
     * @param tApplySafetychange 组织保护措施状态变更申请
     * @return 结果
     */
    @Override
    public int updateTApplySafetychange(TApplySafetychange tApplySafetychange)
    {
        return tApplySafetychangeMapper.updateTApplySafetychange(tApplySafetychange);
    }

    /**
     * 批量删除组织保护措施状态变更申请
     *
     * @param ids 需要删除的组织保护措施状态变更申请ID
     * @return 结果
     */
    @Override
    public int deleteTApplySafetychangeByIds(Long[] ids)
    {
        return tApplySafetychangeMapper.deleteTApplySafetychangeByIds(ids);
    }

    /**
     * 删除组织保护措施状态变更申请信息
     *
     * @param id 组织保护措施状态变更申请ID
     * @return 结果
     */
    @Override
    public int deleteTApplySafetychangeById(Long id)
    {
        return tApplySafetychangeMapper.deleteTApplySafetychangeById(id);
    }
}
